## fcitx5-qt 5.1.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(fcitx5-qt VERSION 5.1.9)
set(FCITX5_QT_VERSION ${PROJECT_VERSION})

set(REQUIRED_QT4_VERSION 4.8.0)
set(REQUIRED_QT5_VERSION 5.5.0)
set(REQUIRED_QT6_VERSION 6.0.0)

find_package(ECM 1.4.0 REQUIRED)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

option(ENABLE_QT4 "Enable Qt 4" Off)
option(ENABLE_QT5 "Enable Qt 5" On)
option(ENABLE_QT6 "Enable Qt 6" On)
option(ENABLE_X11 "Enable X11 support" On)
option(BUILD_ONLY_PLUGIN "Build only plugin" Off)
option(BUILD_STATIC_PLUGIN "Build plugin as static" Off)
option(WITH_FCITX_PLUGIN_NAME "Enable plugin name with fcitx" On)
option(ENABLE_QT6_WAYLAND_WORKAROUND "Enable Qt6 Wayland workaround" On)

if (BUILD_ONLY_PLUGIN)
  set(LIBRARY_TYPE OBJECT)
else()
  set(LIBRARY_TYPE SHARED)
  add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-qt\")
  if (BUILD_STATIC_PLUGIN)
    message(FATAL_ERROR "BUILD_STATIC_PLUGIN requires BUILD_ONLY_PLUGIN")
  endif()
endif()

if (BUILD_ONLY_PLUGIN AND BUILD_STATIC_PLUGIN)
  set(PLUGIN_LIBRARY_TYPE STATIC)
else()
  set(PLUGIN_LIBRARY_TYPE MODULE)
endif()

add_definitions(-DFCITX5_QT_VERSION=\"${FCITX5_QT_VERSION}\")

include(GNUInstallDirs)
include(FeatureSummary)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMUninstallTarget)

if (ENABLE_X11)
    find_package(XCB REQUIRED COMPONENTS XCB)
endif()
find_package(XKBCommon 0.5.0 REQUIRED COMPONENTS XKBCommon)
if (NOT BUILD_ONLY_PLUGIN)
find_package(Fcitx5Utils 5.0.16 REQUIRED)
endif()

if (ENABLE_X11)
find_package(X11 REQUIRED)

add_library(X11Import UNKNOWN IMPORTED)
set_target_properties(X11Import PROPERTIES
    IMPORTED_LOCATION "${X11_X11_LIB}"
    INTERFACE_INCLUDE_DIRECTORIES "${X11_X11_INCLUDE_PATH}")
endif()

if (BUILD_ONLY_PLUGIN)
# Dup a little bit option here.
include(CompilerSettings)
else()
include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
find_package(Gettext REQUIRED)
endif()

set(Fcitx5Qt6_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR}/Fcitx5Qt6)
set(Fcitx5Qt5_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR}/Fcitx5Qt5)
set(Fcitx5Qt4_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR}/Fcitx5Qt4)

if(ENABLE_QT4)
  add_subdirectory(qt4)
endif()

if(ENABLE_QT5)
  add_subdirectory(qt5)
endif()

if(ENABLE_QT6)
  add_subdirectory(qt6)
endif()

if(NOT BUILD_ONLY_PLUGIN)
add_subdirectory(po)
endif()

enable_testing()
add_subdirectory(test)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== qt6/immodule-probing/CMakeLists.txt ===
add_executable(fcitx5-qt6-immodule-probing main.cpp)
target_include_directories(fcitx5-qt6-immodule-probing PRIVATE ${Qt6Gui_PRIVATE_INCLUDE_DIRS})
target_link_libraries(fcitx5-qt6-immodule-probing Qt6::Gui)

install(TARGETS fcitx5-qt6-immodule-probing DESTINATION "${CMAKE_INSTALL_BINDIR}")

=== qt6/platforminputcontext/CMakeLists.txt ===
set(FCITX5_QT_EXTRA_PLUGIN_NAME "")
if (WITH_FCITX_PLUGIN_NAME)
    set(FCITX5_QT_EXTRA_PLUGIN_NAME "\"fcitx\",")
endif()

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/fcitx5.json.in" "${CMAKE_CURRENT_BINARY_DIR}/fcitx5.json")

set(plugin_SRCS
    fcitx4watcher.cpp
    fcitx4inputcontextproxy.cpp
    fcitx4inputcontextproxyimpl.cpp
    fcitx4inputmethodproxy.cpp
    hybridinputcontext.cpp
    qfcitxplatforminputcontext.cpp
    fcitxcandidatewindow.cpp
    fcitxtheme.cpp
    font.cpp
    qtkey.cpp
    main.cpp
)

if (BUILD_ONLY_PLUGIN AND BUILD_STATIC_PLUGIN)
set(plugin_SRCS ${plugin_SRCS} $<TARGET_OBJECTS:Fcitx5Qt6DBusAddons>)
endif()

add_library(fcitx5platforminputcontextplugin-qt6 ${PLUGIN_LIBRARY_TYPE} ${plugin_SRCS})
set_target_properties(fcitx5platforminputcontextplugin-qt6 PROPERTIES
                         OUTPUT_NAME fcitx5platforminputcontextplugin
                         AUTOMOC TRUE
                        )
target_include_directories(fcitx5platforminputcontextplugin-qt6 PRIVATE "${PROJECT_SOURCE_DIR}/common")
if (BUILD_ONLY_PLUGIN AND BUILD_STATIC_PLUGIN)
target_compile_definitions(fcitx5platforminputcontextplugin-qt6 PRIVATE "-DQT_STATICPLUGIN")
endif()

target_compile_definitions(fcitx5platforminputcontextplugin-qt6 PRIVATE "-DFCITX_PLUGIN_DATA_FILE_PATH=\"${CMAKE_CURRENT_BINARY_DIR}/fcitx5.json\"")
if (WITH_FCITX_PLUGIN_NAME)
    # This is not really necessary, but can trigger a cmake rebuild.
    target_compile_definitions(fcitx5platforminputcontextplugin-qt6 PRIVATE "-DFCITX5_QT_WITH_FCITX_NAME")
endif()


target_link_libraries(fcitx5platforminputcontextplugin-qt6
                          Qt6::Core
                          Qt6::Gui
                          Qt6::GuiPrivate
                          Qt6::DBus
                          Qt6::Widgets
                          Fcitx5Qt6::DBusAddons
                          XKBCommon::XKBCommon
                         )
if (ENABLE_X11)
    target_link_libraries(fcitx5platforminputcontextplugin-qt6 XCB::XCB)
    target_compile_definitions(fcitx5platforminputcontextplugin-qt6 PRIVATE "-DENABLE_X11")
endif()

if (ENABLE_QT6_WAYLAND_WORKAROUND)
    target_compile_definitions(fcitx5platforminputcontextplugin-qt6 PRIVATE "-DFCITX_ENABLE_QT6_WAYLAND_WORKAROUND")
    target_link_libraries(fcitx5platforminputcontextplugin-qt6
        Qt6::GuiPrivate
        Qt6::WaylandGlobalPrivate
        Qt6::WaylandClient
        Qt6::WaylandClientPrivate)
endif()

get_target_property(_QT6_QMAKE_EXECUTABLE Qt6::qmake LOCATION)
execute_process(
    COMMAND ${_QT6_QMAKE_EXECUTABLE} -query "QT_INSTALL_PLUGINS"
    RESULT_VARIABLE return_code
    OUTPUT_VARIABLE _QT6PLUGINDIR
)
if(return_code EQUAL 0)
    string(STRIP "${_QT6PLUGINDIR}" _QT6PLUGINDIR)
else()
    message(FATAL_ERROR "QMake Qt6 call failed: ${return_code}")
endif()
set(CMAKE_INSTALL_QT6PLUGINDIR ${_QT6PLUGINDIR} CACHE PATH "Qt6 plugin dir")
install(TARGETS fcitx5platforminputcontextplugin-qt6 DESTINATION ${CMAKE_INSTALL_QT6PLUGINDIR}/platforminputcontexts)

=== debian/changelog ===
fcitx5-qt (5.1.9-1build2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:06:08 -0500

fcitx5-qt (5.1.9-1build1) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 04 Feb 2025 14:09:57 -0600

fcitx5-qt (5.1.9-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 28 Jan 2025 09:23:41 -0500

fcitx5-qt (5.1.8-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Limit Wayland support to Linux archs, as Wayland is available only there.

 -- Boyuan Yang <byang@debian.org>  Fri, 25 Oct 2024 18:24:33 -0400

fcitx5-qt (5.1.8-1) unstable; urgency=medium

  * New upstream release.
  * Fix compatibility with Qt 6.8.

 -- Boyuan Yang <byang@debian.org>  Sun, 20 Oct 2024 12:06:14 -0400

fcitx5-qt (5.1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Oct 2024 18:55:17 -0400

=== debian/control ===
Source: fcitx5-qt
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 extra-cmake-modules,
 gettext,
 libfcitx5utils-dev (>= 5.1),
 libxcb1-dev,
 libxkbcommon-dev,
 qt6-base-dev,
 qt6-base-private-dev,
 qt6-wayland [linux-any],
 qt6-wayland-dev [linux-any],
 qt6-wayland-private-dev [linux-any],
 qtbase5-dev,
 qtbase5-private-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/fcitx/fcitx5-qt
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-qt.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-qt

Package: fcitx5-frontend-qt5
Architecture: any
Section: libs
Depends:
 libfcitx5-qt1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Qt5 IM module for fcitx5
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the Qt5 IM Module for fcitx5.

Package: fcitx5-frontend-qt6
Architecture: any
Section: libs
Depends:
 libfcitx5-qt6-1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Qt6 IM module for fcitx5
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the Qt6 IM Module for fcitx5.

Package: libfcitx5-qt-data
Architecture: all
Multi-Arch: foreign
Section: libs
Depends:
 ${misc:Depends},
Description: Qt library and IM module for fcitx5 (data files)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the shared data files for fcitx5-qt.

Package: libfcitx5-qt-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 qtbase5-dev,
 libfcitx5-qt1 (= ${binary:Version}),
 ${misc:Depends},
Description: Qt library and IM module for fcitx5 (development files)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the development files for fcitx5-qt.

Package: libfcitx5-qt1
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 libfcitx5-qt-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Qt library and IM module for fcitx5
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the Qt5 support for fcitx5.

Package: libfcitx5-qt6-1
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 libfcitx5-qt-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Qt6 library and IM module for fcitx5
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the Qt6 support for fcitx5.

Package: libfcitx5-qt6-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 qt6-base-dev,
 libfcitx5-qt6-1 (= ${binary:Version}),
 ${misc:Depends},
Description: Qt6 library and IM module for fcitx5 (development files)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the development files for fcitx5-qt (qt6).

=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.fcitx-im.org/fcitx5/fcitx5-qt/ \
 @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## fcitx5-qt 5.1.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16)
-project(fcitx5-qt VERSION 5.1.9)
+project(fcitx5-qt VERSION 5.1.10)
 set(FCITX5_QT_VERSION ${PROJECT_VERSION})
 
 set(REQUIRED_QT4_VERSION 4.8.0)

=== qt5/guiwrapper/CMakeLists.txt ===
set(QT_WRAPPER_SRCS
  main.cpp
  wrapperapp.cpp
  mainwindow.cpp
  )

add_executable(fcitx5-qt5-gui-wrapper ${QT_WRAPPER_SRCS})

set_target_properties(fcitx5-qt5-gui-wrapper
  PROPERTIES AUTOMOC TRUE AUTOUIC TRUE AUTOUIC_OPTIONS "-tr=fcitx::tr2fcitx;--include=fcitxqti18nhelper.h")

target_link_libraries(fcitx5-qt5-gui-wrapper
      Fcitx5::Utils
      Qt5::Core
      Qt5::Gui
      Qt5::Widgets
      Fcitx5Qt5::DBusAddons
      Fcitx5Qt5::WidgetsAddons
)

install(TARGETS fcitx5-qt5-gui-wrapper DESTINATION "${CMAKE_INSTALL_LIBEXECDIR}")
configure_file(org.fcitx.fcitx5-qt5-gui-wrapper.desktop.in.in ${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.fcitx5-qt5-gui-wrapper.desktop.in @ONLY)
fcitx5_translate_desktop_file(${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.fcitx5-qt5-gui-wrapper.desktop.in
  org.fcitx.fcitx5-qt5-gui-wrapper.desktop)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.fcitx5-qt5-gui-wrapper.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)

=== qt5/immodule-probing/CMakeLists.txt ===
add_executable(fcitx5-qt5-immodule-probing main.cpp)
target_include_directories(fcitx5-qt5-immodule-probing PRIVATE ${Qt5Gui_PRIVATE_INCLUDE_DIRS})
target_link_libraries(fcitx5-qt5-immodule-probing Qt5::Gui)

install(TARGETS fcitx5-qt5-immodule-probing DESTINATION "${CMAKE_INSTALL_BINDIR}")

=== debian/changelog ===
fcitx5-qt (5.1.10-3) unstable; urgency=medium

  * Rebuild against the latest fcitx5 and gcc-15 toolchain again.
  * debian/copyright: Update information.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Oct 2025 09:19:09 -0400

fcitx5-qt (5.1.10-2) unstable; urgency=medium

  * Rebuild against GCC 15. (Closes: #1096618)
  * debian/control: Move main package description to the source package
    section.

 -- Boyuan Yang <byang@debian.org>  Thu, 04 Sep 2025 20:40:40 -0400

fcitx5-qt (5.1.10-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 11 Aug 2025 22:13:25 -0400

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT := 5

ifneq (linux,$(DEB_HOST_ARCH_OS))
config-opt += -DENABLE_QT6_WAYLAND_WORKAROUND=OFF
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	        -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
	        -DENABLE_QT4=Off \
	        -DENABLE_QT6=On \
	        $(config-opt)

## fcitx5-qt 5.1.11

=== po/CMakeLists.txt ===
fcitx5_install_translation(fcitx5-qt)

=== qt5/CMakeLists.txt ===
if(NOT BUILD_ONLY_PLUGIN)
  set(REQUIRED_QT5_VERSION 5.7.0)
endif()

find_package(Qt5 ${REQUIRED_QT5_VERSION} CONFIG REQUIRED Core DBus Widgets)
find_package(Qt5Gui ${REQUIRED_QT5_VERSION} REQUIRED Private)

add_subdirectory(dbusaddons)
add_subdirectory(platforminputcontext)

if(NOT BUILD_ONLY_PLUGIN)
  add_subdirectory(guiwrapper)
  add_subdirectory(widgetsaddons)
  add_subdirectory(immodule-probing)
endif()

=== test/CMakeLists.txt ===
if (TARGET Fcitx5Qt5::WidgetsAddons)

add_executable(testkeytrans testkeytrans.cpp)
target_link_libraries(testkeytrans Fcitx5Qt5::WidgetsAddons)
add_test(testkeytrans testkeytrans)

endif()

=== qt4/immodule-probing/CMakeLists.txt ===
add_executable(fcitx5-qt4-immodule-probing main.cpp)
target_link_libraries(fcitx5-qt4-immodule-probing Qt4::QtGui)

install(TARGETS fcitx5-qt4-immodule-probing DESTINATION "${CMAKE_INSTALL_BINDIR}")

=== qt4/inputcontext/CMakeLists.txt ===

set(plugin_SRCS
    qfcitxinputcontext.cpp
    qtkey.cpp
    main.cpp
)

if (BUILD_ONLY_PLUGIN AND BUILD_STATIC_PLUGIN)
set(plugin_SRCS ${plugin_SRCS} $<TARGET_OBJECTS:Fcitx5Qt4DBusAddons>)
endif()


add_library(qtim-fcitx5 ${PLUGIN_LIBRARY_TYPE} ${plugin_SRCS})
set_target_properties(qtim-fcitx5 PROPERTIES
                         AUTOMOC TRUE
                        )
target_include_directories(qtim-fcitx5 PRIVATE "${PROJECT_SOURCE_DIR}/common")
if (BUILD_ONLY_PLUGIN AND BUILD_STATIC_PLUGIN)
    target_compile_definitions(qtim-fcitx5 PRIVATE "-DQT_STATICPLUGIN")
endif()
if (WITH_FCITX_PLUGIN_NAME)
    target_compile_definitions(qtim-fcitx5 PRIVATE "-DFCITX5_QT_WITH_FCITX_NAME")
endif()

target_link_libraries(qtim-fcitx5
                          Qt4::QtCore
                          Qt4::QtGui
                          Qt4::QtDBus
                          Fcitx5Qt4::DBusAddons
                          XKBCommon::XKBCommon
                         )

if (ENABLE_X11)
    target_link_libraries(qtim-fcitx5 X11Import)
    target_compile_definitions(qtim-fcitx5 PRIVATE "-DENABLE_X11")
endif()

set(CMAKE_INSTALL_QT4PLUGINDIR ${QT_PLUGINS_DIR} CACHE PATH "Qt4 plugin dir")
install(TARGETS qtim-fcitx5 DESTINATION ${CMAKE_INSTALL_QT4PLUGINDIR}/inputmethods)

=== qt5/dbusaddons/CMakeLists.txt ===
ecm_setup_version(PROJECT VARIABLE_PREFIX FCITX5QT5DBUSADDONS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/fcitx5qt5dbusaddons_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5Qt5DBusAddonsConfigVersion.cmake"
                        SOVERSION 1)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/Fcitx5Qt5DBusAddons")

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/Fcitx5Qt5DBusAddonsConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5Qt5DBusAddonsConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

set(dbusaddons_SOURCES
    fcitxqtwatcher.cpp
    fcitxqtdbustypes.cpp
    fcitxqtinputcontextproxy.cpp
    fcitxqtinputcontextproxyimpl.cpp
    fcitxqtinputmethodproxy.cpp
    fcitxqtcontrollerproxy.cpp
    )

set(dbusaddons_HEADERS
    fcitxqtwatcher.h
    fcitxqtdbustypes.h
    fcitxqtinputcontextproxy.h
    fcitxqtinputmethodproxy.h
    fcitxqtcontrollerproxy.h
)

set(fcitxqtdbusaddons_INCLUDE_DIRS
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

add_library(Fcitx5Qt5DBusAddons ${LIBRARY_TYPE} ${dbusaddons_SOURCES})
generate_export_header(Fcitx5Qt5DBusAddons BASE_NAME Fcitx5Qt5DBusAddons)
add_library(Fcitx5Qt5::DBusAddons ALIAS Fcitx5Qt5DBusAddons)

target_include_directories(Fcitx5Qt5DBusAddons PUBLIC "$<BUILD_INTERFACE:${fcitxqtdbusaddons_INCLUDE_DIRS}>")
target_include_directories(Fcitx5Qt5DBusAddons INTERFACE "$<INSTALL_INTERFACE:${Fcitx5Qt5_INCLUDE_INSTALL_DIR}/Fcitx5Qt5DBusAddons>")

set_target_properties(Fcitx5Qt5DBusAddons
                      PROPERTIES VERSION ${FCITX5QT5DBUSADDONS_VERSION}
                      AUTOMOC TRUE
                      SOVERSION ${FCITX5QT5DBUSADDONS_SOVERSION}
                      POSITION_INDEPENDENT_CODE ON
                      EXPORT_NAME DBusAddons
)

target_link_libraries(
    Fcitx5Qt5DBusAddons
    PUBLIC
        Qt5::Core
        Qt5::DBus
)

if(BUILD_ONLY_PLUGIN)
  set_target_properties(Fcitx5Qt5DBusAddons PROPERTIES
                        COMPILE_DEFINITIONS "FCITX5QT5DBUSADDONS_STATIC_DEFINE")

else()
  install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5Qt5DBusAddonsConfig.cmake"
                "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5Qt5DBusAddonsConfigVersion.cmake"
          DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
          COMPONENT Devel )

  install(EXPORT Fcitx5Qt5DBusAddonsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE Fcitx5Qt5DBusAddonsTargets.cmake NAMESPACE Fcitx5Qt5:: )

  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/fcitx5qt5dbusaddons_version.h
          DESTINATION ${Fcitx5Qt5_INCLUDE_INSTALL_DIR} COMPONENT Devel )

  install(TARGETS Fcitx5Qt5DBusAddons EXPORT Fcitx5Qt5DBusAddonsTargets LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}")

  install(FILES ${dbusaddons_HEADERS}
                ${CMAKE_CURRENT_BINARY_DIR}/fcitx5qt5dbusaddons_export.h
                DESTINATION "${Fcitx5Qt5_INCLUDE_INSTALL_DIR}/Fcitx5Qt5DBusAddons")
endif()

=== qt5/platforminputcontext/CMakeLists.txt ===
set(FCITX5_QT_EXTRA_PLUGIN_NAME "")
if (WITH_FCITX_PLUGIN_NAME)
    set(FCITX5_QT_EXTRA_PLUGIN_NAME "\"fcitx\",")
endif()

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/fcitx5.json.in" "${CMAKE_CURRENT_BINARY_DIR}/fcitx5.json")

set(plugin_SRCS
    fcitx4watcher.cpp
    fcitx4inputcontextproxy.cpp
    fcitx4inputcontextproxyimpl.cpp
    fcitx4inputmethodproxy.cpp
    hybridinputcontext.cpp
    qfcitxplatforminputcontext.cpp
    fcitxcandidatewindow.cpp
    fcitxtheme.cpp
    font.cpp
    qtkey.cpp
    main.cpp
)

if (BUILD_ONLY_PLUGIN AND BUILD_STATIC_PLUGIN)
set(plugin_SRCS ${plugin_SRCS} $<TARGET_OBJECTS:Fcitx5Qt5DBusAddons>)
endif()

add_library(fcitx5platforminputcontextplugin ${PLUGIN_LIBRARY_TYPE} ${plugin_SRCS})
set_target_properties(fcitx5platforminputcontextplugin PROPERTIES
                         AUTOMOC TRUE
                        )
target_include_directories(fcitx5platforminputcontextplugin PRIVATE ${Qt5Gui_PRIVATE_INCLUDE_DIRS} "${PROJECT_SOURCE_DIR}/common")
if (BUILD_ONLY_PLUGIN AND BUILD_STATIC_PLUGIN)
target_compile_definitions(fcitx5platforminputcontextplugin PRIVATE "-DQT_STATICPLUGIN")
endif()

target_compile_definitions(fcitx5platforminputcontextplugin PRIVATE "-DFCITX_PLUGIN_DATA_FILE_PATH=\"${CMAKE_CURRENT_BINARY_DIR}/fcitx5.json\"")
if (WITH_FCITX_PLUGIN_NAME)
    # This is not really necessary, but can trigger a cmake rebuild.
    target_compile_definitions(fcitx5platforminputcontextplugin PRIVATE "-DFCITX5_QT_WITH_FCITX_NAME")
endif()


target_link_libraries(fcitx5platforminputcontextplugin
                          Qt5::Core
                          Qt5::Gui
                          Qt5::DBus
                          Qt5::Widgets
                          Fcitx5Qt5::DBusAddons
                          XKBCommon::XKBCommon
                         )
if (ENABLE_X11)
    target_link_libraries(fcitx5platforminputcontextplugin XCB::XCB)
    target_compile_definitions(fcitx5platforminputcontextplugin PRIVATE "-DENABLE_X11")
endif()
include(ECMQueryQmake)
query_qmake(_QT5PLUGINDIR QT_INSTALL_PLUGINS)
set(CMAKE_INSTALL_QT5PLUGINDIR ${_QT5PLUGINDIR} CACHE PATH "Qt5 plugin dir")
install(TARGETS fcitx5platforminputcontextplugin DESTINATION ${CMAKE_INSTALL_QT5PLUGINDIR}/platforminputcontexts)

=== qt6/dbusaddons/CMakeLists.txt ===
ecm_setup_version(PROJECT VARIABLE_PREFIX FCITX5QT6DBUSADDONS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/fcitx5qt6dbusaddons_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5Qt6DBusAddonsConfigVersion.cmake"
                        SOVERSION 1)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/Fcitx5Qt6DBusAddons")

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/Fcitx5Qt6DBusAddonsConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5Qt6DBusAddonsConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

set(dbusaddons_SOURCES
    fcitxqtwatcher.cpp
    fcitxqtdbustypes.cpp
    fcitxqtinputcontextproxy.cpp
    fcitxqtinputcontextproxyimpl.cpp
    fcitxqtinputmethodproxy.cpp
    fcitxqtcontrollerproxy.cpp
    )

set(dbusaddons_HEADERS
    fcitxqtwatcher.h
    fcitxqtdbustypes.h
    fcitxqtinputcontextproxy.h
    fcitxqtinputmethodproxy.h
    fcitxqtcontrollerproxy.h
)

set(fcitxqtdbusaddons_INCLUDE_DIRS
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

add_library(Fcitx5Qt6DBusAddons ${LIBRARY_TYPE} ${dbusaddons_SOURCES})
generate_export_header(Fcitx5Qt6DBusAddons BASE_NAME Fcitx5Qt6DBusAddons)
add_library(Fcitx5Qt6::DBusAddons ALIAS Fcitx5Qt6DBusAddons)

target_include_directories(Fcitx5Qt6DBusAddons PUBLIC "$<BUILD_INTERFACE:${fcitxqtdbusaddons_INCLUDE_DIRS}>")
target_include_directories(Fcitx5Qt6DBusAddons INTERFACE "$<INSTALL_INTERFACE:${Fcitx5Qt6_INCLUDE_INSTALL_DIR}/Fcitx5Qt6DBusAddons>")

set_target_properties(Fcitx5Qt6DBusAddons
                      PROPERTIES VERSION ${FCITX5QT6DBUSADDONS_VERSION}
                      AUTOMOC TRUE
                      SOVERSION ${FCITX5QT6DBUSADDONS_SOVERSION}
                      POSITION_INDEPENDENT_CODE ON
                      EXPORT_NAME DBusAddons
)

target_link_libraries(
    Fcitx5Qt6DBusAddons
    PUBLIC
        Qt6::Core
        Qt6::DBus
)

if(BUILD_ONLY_PLUGIN)
  set_target_properties(Fcitx5Qt6DBusAddons PROPERTIES
                        COMPILE_DEFINITIONS "FCITX5QT6DBUSADDONS_STATIC_DEFINE")

else()
  install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5Qt6DBusAddonsConfig.cmake"
                "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5Qt6DBusAddonsConfigVersion.cmake"
          DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
          COMPONENT Devel )

  install(EXPORT Fcitx5Qt6DBusAddonsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE Fcitx5Qt6DBusAddonsTargets.cmake NAMESPACE Fcitx5Qt6:: )

  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/fcitx5qt6dbusaddons_version.h
          DESTINATION ${Fcitx5Qt6_INCLUDE_INSTALL_DIR} COMPONENT Devel )

  install(TARGETS Fcitx5Qt6DBusAddons EXPORT Fcitx5Qt6DBusAddonsTargets LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}")

  install(FILES ${dbusaddons_HEADERS}
                ${CMAKE_CURRENT_BINARY_DIR}/fcitx5qt6dbusaddons_export.h
                DESTINATION "${Fcitx5Qt6_INCLUDE_INSTALL_DIR}/Fcitx5Qt6DBusAddons")
endif()

=== qt6/guiwrapper/CMakeLists.txt ===
set(QT_WRAPPER_SRCS
  main.cpp
  wrapperapp.cpp
  mainwindow.cpp
  )

add_executable(fcitx5-qt6-gui-wrapper ${QT_WRAPPER_SRCS})

set_target_properties(fcitx5-qt6-gui-wrapper
  PROPERTIES AUTOMOC TRUE AUTOUIC TRUE AUTOUIC_OPTIONS "-tr=fcitx::tr2fcitx;--include=fcitxqti18nhelper.h")

target_link_libraries(fcitx5-qt6-gui-wrapper
      Fcitx5::Utils
      Qt6::Core
      Qt6::Gui
      Qt6::Widgets
      Fcitx5Qt6::DBusAddons
      Fcitx5Qt6::WidgetsAddons
)

install(TARGETS fcitx5-qt6-gui-wrapper DESTINATION "${CMAKE_INSTALL_LIBEXECDIR}")
configure_file(org.fcitx.fcitx5-qt6-gui-wrapper.desktop.in.in ${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.fcitx5-qt6-gui-wrapper.desktop.in @ONLY)
fcitx5_translate_desktop_file(${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.fcitx5-qt6-gui-wrapper.desktop.in
  org.fcitx.fcitx5-qt6-gui-wrapper.desktop)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.fcitx5-qt6-gui-wrapper.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)

=== qt6/immodule-probing/CMakeLists.txt ===
add_executable(fcitx5-qt6-immodule-probing main.cpp)
target_link_libraries(fcitx5-qt6-immodule-probing Qt6::Gui Qt6::GuiPrivate)

install(TARGETS fcitx5-qt6-immodule-probing DESTINATION "${CMAKE_INSTALL_BINDIR}")

=== qt6/widgetsaddons/CMakeLists.txt ===
ecm_setup_version(PROJECT VARIABLE_PREFIX FCITX5QT6WIDGETSADDONS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/fcitx5qt6widgetsaddons_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5Qt6WidgetsAddonsConfigVersion.cmake"
                        SOVERSION 2)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/Fcitx5Qt6WidgetsAddons")

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/Fcitx5Qt6WidgetsAddonsConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5Qt6WidgetsAddonsConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5Qt6WidgetsAddonsConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5Qt6WidgetsAddonsConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT Fcitx5Qt6WidgetsAddonsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE Fcitx5Qt6WidgetsAddonsTargets.cmake NAMESPACE Fcitx5Qt6:: )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/fcitx5qt6widgetsaddons_version.h
        DESTINATION ${Fcitx5Qt6_INCLUDE_INSTALL_DIR} COMPONENT Devel )

set(widgetsaddons_SOURCES
    fcitxqtconfiguifactory.cpp
    fcitxqtconfiguiplugin.cpp
    fcitxqtconfiguiwidget.cpp
    fcitxqtkeysequencewidget.cpp
    )

set(widgetsaddons_HEADERS
    fcitxqtconfiguifactory.h
    fcitxqtconfiguiplugin.h
    fcitxqtconfiguiwidget.h
    fcitxqtkeysequencewidget.h
    fcitxqti18nhelper.h
)

set(fcitxqtwidgetsaddons_INCLUDE_DIRS
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${FCITX54_FCITX5_UTILS_INCLUDE_DIRS}
)

add_library(Fcitx5Qt6WidgetsAddons SHARED ${widgetsaddons_SOURCES})
generate_export_header(Fcitx5Qt6WidgetsAddons BASE_NAME Fcitx5Qt6WidgetsAddons)
add_library(Fcitx5Qt6::WidgetsAddons ALIAS Fcitx5Qt6WidgetsAddons)

target_include_directories(Fcitx5Qt6WidgetsAddons PUBLIC "$<BUILD_INTERFACE:${fcitxqtwidgetsaddons_INCLUDE_DIRS}>")
target_include_directories(Fcitx5Qt6WidgetsAddons INTERFACE "$<INSTALL_INTERFACE:${Fcitx5Qt6_INCLUDE_INSTALL_DIR}/Fcitx5QtWidgetsAddons>")

set_target_properties(Fcitx5Qt6WidgetsAddons
                      PROPERTIES VERSION ${FCITX5QT6WIDGETSADDONS_VERSION}
                      AUTOMOC TRUE
                      SOVERSION ${FCITX5QT6WIDGETSADDONS_SOVERSION}
                      EXPORT_NAME WidgetsAddons
)

target_link_libraries(Fcitx5Qt6WidgetsAddons
    PUBLIC
        Fcitx5::Utils
        Qt6::Core
        Qt6::Widgets
)

install(TARGETS Fcitx5Qt6WidgetsAddons EXPORT Fcitx5Qt6WidgetsAddonsTargets LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}")

install(FILES ${widgetsaddons_HEADERS}
              ${CMAKE_CURRENT_BINARY_DIR}/fcitx5qt6widgetsaddons_export.h
              DESTINATION "${Fcitx5Qt6_INCLUDE_INSTALL_DIR}/Fcitx5QtWidgetsAddons")

=== debian/changelog ===
fcitx5-qt (5.1.11-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 25 Oct 2025 17:35:50 -0400

=== debian/control ===
Source: fcitx5-qt
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 extra-cmake-modules,
 gettext,
 libfcitx5utils-dev (>= 5.1.14-4~),
 libxcb1-dev,
 libxkbcommon-dev,
 qt6-base-dev,
 qt6-base-private-dev,
 qt6-wayland [linux-any],
 qt6-wayland-dev [linux-any],
 qt6-wayland-private-dev [linux-any],
 qtbase5-dev,
 qtbase5-private-dev,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/fcitx/fcitx5-qt
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-qt.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-qt
Description: Qt IM module for fcitx5
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.

Package: fcitx5-frontend-qt5
Architecture: any
Section: libs
Depends:
 libfcitx5-qt1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Qt5 IM module for fcitx5
 ${source:Extended-Description}
 .
 This package provides the Qt5 IM Module for fcitx5.

Package: fcitx5-frontend-qt6
Architecture: any
Section: libs
Depends:
 libfcitx5-qt6-1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Qt6 IM module for fcitx5
 ${source:Extended-Description}
 .
 This package provides the Qt6 IM Module for fcitx5.

Package: libfcitx5-qt-data
Architecture: all
Multi-Arch: foreign
Section: libs
Depends:
 ${misc:Depends},
Description: Qt library and IM module for fcitx5 (data files)
 ${source:Extended-Description}
 .
 This package provides the shared data files for fcitx5-qt.

Package: libfcitx5-qt-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 qtbase5-dev,
 libfcitx5-qt1 (= ${binary:Version}),
 ${misc:Depends},
Description: Qt library and IM module for fcitx5 (development files)
 ${source:Extended-Description}
 .
 This package provides the development files for fcitx5-qt.

Package: libfcitx5-qt1
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 libfcitx5-qt-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Qt library and IM module for fcitx5
 ${source:Extended-Description}
 .
 This package provides the Qt5 support for fcitx5.

Package: libfcitx5-qt6-1
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 libfcitx5-qt-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Qt6 library and IM module for fcitx5
 ${source:Extended-Description}
 .
 This package provides the Qt6 support for fcitx5.

Package: libfcitx5-qt6-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 qt6-base-dev,
 libfcitx5-qt6-1 (= ${binary:Version}),
 ${misc:Depends},
Description: Qt6 library and IM module for fcitx5 (development files)
 ${source:Extended-Description}
 .
 This package provides the development files for fcitx5-qt (qt6).

## fcitx5-qt 5.1.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16)
-project(fcitx5-qt VERSION 5.1.10)
+project(fcitx5-qt VERSION 5.1.12)
 set(FCITX5_QT_VERSION ${PROJECT_VERSION})
 
 set(REQUIRED_QT4_VERSION 4.8.0)

=== debian/changelog ===
fcitx5-qt (5.1.12-1build3) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Feb 2026 15:31:57 +0000

fcitx5-qt (5.1.12-1build2) resolute; urgency=medium

  * No-change rebuild against Qt 5.15.18 on amd64v3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 17 Jan 2026 15:51:56 +0300

fcitx5-qt (5.1.12-1build1) resolute; urgency=medium

  * No-change rebuild against Qt 5.15.18.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 10 Jan 2026 22:09:37 +0300

fcitx5-qt (5.1.12-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Dec 2025 11:13:55 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: fcitx5-qt
 Section: utils
-Priority: optional
-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
@@ -19,8 +19,7 @@
  qt6-wayland-private-dev [linux-any],
  qtbase5-dev,
  qtbase5-private-dev,
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://github.com/fcitx/fcitx5-qt
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-qt.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-qt
